@import url("https://cdn.jsdelivr.net/npm/bootstrap@4.4.1/dist/css/bootstrap.min.css");
@import url("https://fonts.googleapis.com/css2?family=Bitcount:wght@100..900&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Quicksand:wght@300..700&family=Raleway:ital,wght@0,100..900;1,100..900&display=swap");

/* Para o body ou qualquer container */
body::-webkit-scrollbar {
  width: 10px;
  background: #222;
}

body::-webkit-scrollbar-thumb {
  background: #09c;
  border-radius: 5px;
}

body::-webkit-scrollbar-track {
  background: #222;
}

/* Firefox */
body {
  scrollbar-width: thin;
  scrollbar-color: #09c #222;
}

body {
  margin: 0;
  color: #ffffff;
  background: linear-gradient(45deg, #2196f3 0%, #0a3a6e 100%); 
  /* background: linear-gradient(45deg, #f321c3 0%, #6e0a0a 100%); */
  background-size: 200% 200%; 
  height: 100vh;
  width: 100%;
}

#page-content {
  overflow-y: auto;
  flex-direction: column;
  width: 100vw;
  height: 100vh;
}

.menu-div {
  justify-content: center;
}

/* MENU NO TOPO DAS PÁGINAS RESTRITAS */
.menu-div {
  align-items: center;
}

nav,
.nav-link {
  padding: 0.25rem 0;
  font-weight: 700;
  color: rgba(255, 255, 255, 0.5);
  background-color: transparent;
  border-bottom: 0.25rem solid transparent;
  transition: border-bottom-color 0.2s;
}

.nav-link:hover {
  cursor: pointer;
  color: #46d190;
  border-bottom-color: #46d190;
}

.nav-link + .nav-link {
  margin-left: 1rem;
}

.active {
  color: #fff;
  border-bottom-color: #fff;
}

/* Links */

/* "Crie uma conta" e "Cancelar" */
.btn-secondary {
  text-shadow: none; /* Prevent inheritance from `body` */
  background-color: #fff;
  border: 0.05rem solid #fff;
}

.btn-secondary:hover {
  background-color: #dbd6d6;
}

.btn-secondary > a {
  text-decoration: none;
}

/* HELP FIELDS */
#loginHelp {
  padding: 0.5rem;
  font-size: 1rem;
  text-align: center;
}

/* LOGIN and SIGNUP pages */
/* "Entrar" e "Criar Conta" - Botão */
.main-btn {
  padding: 0.5rem 2rem;
  font-size: 1.3rem;
}

/* Carregando... */
#loading {
  background: rgba(0, 0, 0, 0.5);
  width: 100%;
  height: 100%;
  position: fixed;
  font-size: 1.75rem;
}

/* DESKTOPS */
@media (min-width: 1024px) {
  form {
    padding: 0;
  }
}
